export declare enum PositionType {
    '实习生' = "\u5B9E\u4E60\u751F",
    '全职（秋季）' = "\u5168\u804C\uFF08\u79CB\u5B63\uFF09",
    '全职补录（春季）' = "\u5168\u804C\u8865\u5F55\uFF08\u6625\u5B63\uFF09"
}
export declare enum CompanyType {
    国企 = "\u56FD\u4F01",
    私企 = "\u79C1\u4F01",
    外企 = "\u5916\u4F01"
}
export interface Company {
    name: string;
    website: string;
    type: CompanyType;
}
export interface PositionAnnouncement {
    url: string;
    date: `${string}-${string}-${string}`;
}
export interface PositionAnnouncementRefined extends PositionAnnouncement {
    title: string;
}
export interface Position {
    graduationYear: number;
    type: PositionType;
    company: Company;
    announcement: PositionAnnouncement;
}
export interface PositionRefined extends Position {
    announcement: PositionAnnouncementRefined;
}
export interface ProcessedData {
    positions: PositionRefined[];
    updatedAt: number;
}
export declare const positions: Position[];
